# Welcome to Hibby's Packet Radio Guide

Hi, welcome - thanks for coming by!

!!! warning

    This is a work in progress. Bits will be missing and added as I have time. If there is anything obviously missing, obviously wrong or that you're in dire need of, drop me an email ([see about page](about.md)) and I'll fix/expedite/help!

## What is Packet Radio?

Packet Radio is a niche within [Amateur Radio](https://en.wikipedia.org/wiki/Amateur_radio). It combines elements of networking and the dark art of software to connect computers over a long distance without wires.

With packet radio we can transfer information, files or messages without relying on the internet. We can control and understand every part of our link, from the computer and the software, through the modem, radio and antenna.

## Taking Your First Steps

This is a broad part of our hobby, and it can be overwhelming to get started. There are lots of interconnecting components and new terms to learn.

Keep your eye on the [glossary](glossary.md) if the terms get confusing.

The key things you will need are:

  * An Amateur Radio License
  * A radio
  * An antenna
  * A computer
  * A modem
  * A cable to interface between the computer & radio
  * Software

### Recommended first setup

If you don't want to spend a lot of money to dip your toe in, you don't have to. The only things you'll need are a radio, a computer and a cable to interface between the two. Everything else can run as software.

Have a look to see if you have a [proven radio](equipment/radios.md) and install [QtSoundModem](modems/qtsm.md) and [QtTermTCP](clients/qtttcp.md) to access someone else's node.

I'd recommend trying 1200bd on VHF or UHF first, but slower modes on HF are perfectly do-able as well if you're on an island or stuck in a ditch.

Take a look at the [beginner's guide](beginners-guide.md) to see more detail about how to get started.


